org.wildfly.swarm.config.management.security_realm

## Class UsersAuthentication<T extends UsersAuthentication<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.security_realm.UsersAuthentication<T>

-     public class UsersAuthentication<T extends UsersAuthentication<T>>
      extends Object

  Configuration to use a list users stored directly within the standalone.xml or host.xml configuration file as the user repository.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UsersAuthentication.UsersAuthenticationResources` Child mutators for UsersAuthentication

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsersAuthentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `UsersAuthentication.UsersAuthenticationResources` | `subresources()`
    `T` | `user(String childKey)` Create and configure a User object to the list of subresources
    `T` | `user(String childKey, UserConsumer consumer)` Create and configure a User object to the list of subresources
    `T` | `user(User value)` Add the User object to the list of subresources
    `T` | `user(UserSupplier supplier)` Install a supplied User object to the list of subresources
    `T` | `users(List<User> value)` Add all User objects to this subresource

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UsersAuthentication

          public UsersAuthentication()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public UsersAuthentication.UsersAuthenticationResources subresources()

    - #### users

          public T users(List<User> value)

      Add all User objects to this subresource
      Parameters:
        `value` - List of User objects.
      Returns:
        this

    - #### user

          public T user(User value)

      Add the User object to the list of subresources
      Parameters:
        `value` - The User to add
      Returns:
        this

    - #### user

          public T user(String childKey,
                        UserConsumer consumer)

      Create and configure a User object to the list of subresources
      Parameters:
        `key` - The key for the User resource
        `config` - The UserConsumer to use
      Returns:
        this

    - #### user

          public T user(String childKey)

      Create and configure a User object to the list of subresources
      Parameters:
        `key` - The key for the User resource
      Returns:
        this

    - #### user

          public T user(UserSupplier supplier)

      Install a supplied User object to the list of subresources

Copyright © 2018 JBoss by Red Hat. All rights reserved.